package com.dayou.service;
import com.dayou.bo.HeadlineTreeBO;
import com.dayou.common.CascaderDTO;
import com.dayou.entity.ReportHeadline;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.dayou.vo.IdNameVO;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

/**
 * <p>
 * 报告标题 服务类
 * </p>
 *
 * @author wucl
 * @since 2023-08-09
 */
public interface IReportHeadlineService extends IService<ReportHeadline> {

        Page<ReportHeadline> selectPage(Page page,ReportHeadline reportHeadline);

        ReportHeadline detail(Long id);

        Boolean add(ReportHeadline reportHeadline);

        Boolean update(ReportHeadline reportHeadline);

        Boolean delete(Long id);

    List<ReportHeadline> getHeadline(Long rootId);

    List<HeadlineTreeBO> getHeadlineTree(Long id);

    List<ReportHeadline> getHeadlineRoot();

    List<CascaderDTO> getAllHeadlineTree();

    List<ReportHeadline> getHeadlinesByType(String reportType);
}
